summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2012-12-20 17:30:02 +0100
committer Matteo Bernardini2012-12-20 17:30:27 +0100
commitff4423db1785cde940313273a976414e477d4c2a (patch)
tree2bd866601d70696375f8822751258887867e30f0 /academic
parentd78f30097d3cf724e78a9523b2e9803668fd79f9 (diff)
downloadslackbuilds-ff4423db1785cde940313273a976414e477d4c2a.tar.gz
academic/udig: Added (desktop GIS).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/udig/README11
-rw-r--r--academic/udig/doinst.sh3
-rw-r--r--academic/udig/slack-desc19
-rw-r--r--academic/udig/udig.SlackBuild110
-rw-r--r--academic/udig/udig.desktop9
-rw-r--r--academic/udig/udig.info10
6 files changed, 162 insertions, 0 deletions
diff --git a/academic/udig/README b/academic/udig/README
new file mode 100644
index 0000000000..1ec38dd0d4
--- /dev/null
+++ b/academic/udig/README
@@ -0,0 +1,11 @@
+uDig is an open source desktop and internet GIS application framework. The
+project goal is to provide a complete Java solution for desktop GIS data
+access, editing and viewing.
+
+uDig aims to be:
+- User friendly, providing a familiar graphical environment for GIS users;
+- Desktop located, running as a thick client
+- Internet oriented, consuming standard (WMS, WFS, WPS) and de facto (GeoRSS,
+ KML, tiles) geospatial web services; and, GIS ready, providing the
+ framework on which complex analytical capabilities can be built, and gradually
+ subsuming those capabilities into the main application.
diff --git a/academic/udig/doinst.sh b/academic/udig/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/udig/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/udig/slack-desc b/academic/udig/slack-desc
new file mode 100644
index 0000000000..5373f3a913
--- /dev/null
+++ b/academic/udig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+udig: udig (desktop GIS)
+udig:
+udig: uDig is an open source desktop GIS application framework that can be
+udig: used as a standalone viewer and editor for spatial data. uDig
+udig: supports PostGIS, shapefiles and other sources.
+udig:
+udig: Homepage: http://udig.refractions.net/
+udig:
+udig:
+udig:
+udig:
diff --git a/academic/udig/udig.SlackBuild b/academic/udig/udig.SlackBuild
new file mode 100644
index 0000000000..9899e822c4
--- /dev/null
+++ b/academic/udig/udig.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+#
+# SlackBuild for uDig
+#
+# Copyright 2012 Benjamin Trigona-Harany
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=udig
+VERSION=${VERSION:-1.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ ZIPSUFFIX="x86_64"
+ GDALDIR="amd64"
+else
+ LIBDIRSUFFIX=""
+ ZIPSUFFIX="x86"
+ GDALDIR="i386"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM
+cd $TMP
+unzip $CWD/$PRGNAM-$VERSION.linux.gtk.$ZIPSUFFIX.zip
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# uDig comes with its own JRE, but this is unnecessay as long as the JAI jars are
+# installed in the correct location. This is how other distros avoid shipping a
+# duplicate Java environment with uDig.
+mkdir -p $PKG/usr/share/$PRGNAM/jai
+cp -a jre/lib/ext/jai_*.jar $PKG/usr/share/$PRGNAM/jai
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/java/jre/lib/ext
+ln -s /usr/share/$PRGNAM/jai/jai_codec.jar $PKG/usr/lib$LIBDIRSUFFIX/java/jre/lib/ext/jai_codec.jar
+ln -s /usr/share/$PRGNAM/jai/jai_core.jar $PKG/usr/lib$LIBDIRSUFFIX/java/jre/lib/ext/jai_core.jar
+ln -s /usr/share/$PRGNAM/jai/jai_imageio.jar $PKG/usr/lib$LIBDIRSUFFIX/java/jre/lib/ext/jai_imageio.jar
+
+# the GDAL libs need to be extracted from the JRE directory and placed in the LD_LIBRARY_PATH
+# at uDig runtime
+cp -a jre/lib/${GDALDIR}/libgdaljni.so{,.1} $PKG/usr/share/$PRGNAM
+sed -i '2i\
+export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/bin/share/udig
+' udig.sh
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a configuration dropins features libcairo-swt.so p2 plugins *.sh udig_internal* $PKG/usr/share/$PRGNAM
+
+# gdal_data doesn't come with x86
+if [ "$ARCH" = "x86_64" ]; then
+ cp -a gdal_data $PKG/usr/share/$PRGNAM
+fi
+
+mkdir -p $PKG/usr/bin
+ln -s /usr/share/$PRGNAM/$PRGNAM.sh $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/share/applications
+cp -a $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/share/pixmaps/
+cp -a icon.xpm $PKG/usr/share/pixmaps/udig.xpm
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt epl-v10.html notice.html readme/* udig-$VERSION.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/udig/udig.desktop b/academic/udig/udig.desktop
new file mode 100644
index 0000000000..0919cc2c13
--- /dev/null
+++ b/academic/udig/udig.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=uDig
+GenericName=Desktop Internet GIS
+Comment=Java-based GIS data viewer and editor
+Exec=/usr/bin/udig
+StartupNotify=true
+Icon=udig
+Type=Application
+Categories=Education;Science;Geoscience;Geography;
diff --git a/academic/udig/udig.info b/academic/udig/udig.info
new file mode 100644
index 0000000000..747d999547
--- /dev/null
+++ b/academic/udig/udig.info
@@ -0,0 +1,10 @@
+PRGNAM="udig"
+VERSION="1.3.2"
+HOMEPAGE="http://udig.refractions.net"
+DOWNLOAD="http://udig.refractions.net/files/downloads/udig-1.3.2.linux.gtk.x86.zip"
+MD5SUM="5b62b93967b1653654bdee88043824b8"
+DOWNLOAD_x86_64="http://udig.refractions.net/files/downloads/udig-1.3.2.linux.gtk.x86_64.zip"
+MD5SUM_x86_64="58bb89c80e1d8990f1224e8942b3d6db"
+REQUIRES="jdk"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="bosth@alumni.sfu.ca"